Bug 1480922 - python-pelican is shipped with an old version of feedgenerator.py which leads to unexpected behaviour
Summary: python-pelican is shipped with an old version of feedgenerator.py which leads...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pelican
Version: 26
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1379651
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-12 21:28 UTC by mdtha
Modified: 2018-05-29 11:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:54:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github getpelican pelican issues 2202 None None None 2017-08-12 21:29:35 UTC

Description mdtha 2017-08-12 21:28:52 UTC
Description of problem:
Pelican 3.7.1 shipped by Fedora 26 fails to generate <content> tags (which contain the full post, as opposed to <summary> tags which are generated) in the Atom XML output of the website, despite Pelican's documentation claiming that <content> tags should be present. 

This happens because Fedora uses an old version of feedgenerator.py (*afaik* provided by ython2-django-1.10.7-1.fc26.noarch), despite Pelican's build instructions requiring feedgenerator 1.9+.


Version-Release number of selected component (if applicable):
Pelican 3.7.1

How reproducible:
Always

Steps to Reproduce:
1. pelican-quikstart a new site
2. create one post
3. add "FEED_ALL_ATOM = 'feeds/atom.xml'" in the pelicanconf.py file
4. generate html output

Actual results:
feeds/atom.xml contains only <summary>

https://dpaste.de/mFDC

Expected results:
It should also include <content>. 


Additional info:
A lot of debug output here: https://github.com/getpelican/pelican/issues/2202#issuecomment-322002331

The version of pelican installed with pip works as expected, and uses feedgenerator-1.9.tar.gz.

Comment 1 mdtha 2017-08-12 21:40:32 UTC
Pelican contributor says that pelican's fork of feedgenerator.py has diverged from django's bundled module, so maybe packaging pelican's version might be necessary



>> Is pelican's feedgenerator.py just a standalone package for django's feedgenerator.py, or is it a fork?

> Originally just a standalone package, but since then, it may have diverged from Django's bundled version.

https://github.com/getpelican/pelican/issues/2202#issuecomment-322007448

Comment 2 Georg Sauthoff 2017-08-13 10:25:20 UTC
I can confirm this issue. With the Fedora 26 pelican version the atom feeds don't contain any content.

The version from pip works fine.

Thus, this is a regression to the official Pelican release and its documented behavior.

See also #1421185 for another issue that is caused by Fedora's choice to replace the Pelican feed-generator package with the incompatible django one.

Comment 3 Matthias Runge 2017-08-14 07:01:53 UTC
feedgenerator describes itself as 

Standalone version of django.utils.feedgenerator

https://pypi.python.org/pypi/feedgenerator/1.9

I see your issue. I would argue, forking and changing something instead of contributing back is not so nice as well. Django could benefit from enhancements as well....

Comment 4 mdtha 2017-08-14 07:51:33 UTC
This can be proposed back to the pelican developers, but from a Fedora POV, are we going to keep this package in a broken state?

Comment 5 Matthias Runge 2017-08-14 10:13:20 UTC
since there is no feedgenerator in fedora yet, there's not much I can do about it right now.

Comment 6 mdtha 2017-08-15 19:28:24 UTC
I was wondering if the features that break because of the dependency are considered serious enough to temporarily withdraw the package, so that users default to using the pip version.

Comment 7 Matthias Runge 2017-08-16 06:51:57 UTC
My 2 ct here:
- pip happily overwrites rpm package installed contents. The result is random. (That's going to change in f27)
- It depends on your usage, if the rss feed containing not all elements is "mission critical"
- If you want feedgenerator in fedora, please help with the review. I noted in the other bug, I'm fine with depending on feedgenerator (once in Fedora).
- From a general perspective, I disagree with pelican upstream to fork parts of Django; disagreement is fine, we all can grow on the arguments.

Comment 8 mdtha 2017-08-16 11:00:51 UTC
I'm not sure in what ways I can help with the review, never done this before, but I downloaded the spec file and I'll try to test if the package works.

Comment 9 Fedora End Of Life 2018-05-03 08:11:31 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2018-05-29 11:54:21 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.